Page MenuHomePhabricator

Synchronize working copies before doing a "bypassCache" commit read
ClosedPublic

Authored by epriestley on Apr 22 2016, 11:03 AM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Aug 11, 7:13 PM
Unknown Object (File)
Sat, Aug 6, 1:28 PM
Unknown Object (File)
Mon, Jul 25, 8:13 AM
Unknown Object (File)
Sat, Jul 23, 12:34 AM
Unknown Object (File)
Wed, Jul 20, 4:21 PM
Unknown Object (File)
Jul 14 2022, 5:04 PM
Unknown Object (File)
Jul 14 2022, 2:16 AM
Unknown Object (File)
Jul 9 2022, 7:59 AM
Subscribers
None

Details

Summary

Ref T4292. When the daemons make a query for repository information, we need to make sure the working copy on disk is up to date before we serve the response, since we might not have the inforamtion we need to respond otherwise.

We do this automatically for almost all Diffusion methods, but this particular method is a little unusual and does not get this check for free. Add this check.

Test Plan
  • Made this code throw.
  • Ran bin/repository reparse --message ..., saw the code get hit.
  • Ran bin/repository lookup-user ..., saw this code get hit.
  • Made this code not throw.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Synchronize working copies before doing a "bypassCache" commit read.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Apr 22 2016, 2:31 PM
chad requested changes to this revision.Apr 22 2016, 2:31 PM
chad edited edge metadata.
This revision now requires changes to proceed.Apr 22 2016, 2:31 PM
chad edited edge metadata.
This revision is now accepted and ready to land.Apr 22 2016, 2:32 PM
This revision was automatically updated to reflect the committed changes.